# Class MessageResponse

Namespace
  AnthropicClient.Models

Assembly
  AnthropicClient.dll

Represents a response.

    public class MessageResponse

Inheritance
  object
  MessageResponse

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

## Properties

### Content

Gets the contents of the response.

    public List<Content> Content { get; init; }

#### Property Value

List<Content>

### Id

Gets the ID of the response.

    public string Id { get; init; }

#### Property Value

string

### Model

Gets the model used for the response.

    public string Model { get; init; }

#### Property Value

string

### Role

Gets the role of the response.

    public string Role { get; init; }

#### Property Value

string

### StopReason

Gets the stop reason of the response.

    [JsonPropertyName("stop_reason")]
    public string? StopReason { get; init; }

#### Property Value

string

### StopSequence

Gets the stop sequence of the response.

    [JsonPropertyName("stop_sequence")]
    public string? StopSequence { get; init; }

#### Property Value

string

### ToolCall

Gets the tool call of the response. If the response does not contain a tool call, this property is null.

    [JsonIgnore]
    public ToolCall? ToolCall { get; set; }

#### Property Value

ToolCall

### Type

Gets the type of the response.

    public string Type { get; init; }

#### Property Value

string

### Usage

Gets the usage of the response.

    public Usage Usage { get; init; }

#### Property Value

Usage